#! /bin/sh

STMP="$HOME"/tmp/git-status.tmp
export STMP
trap 'exec rm -rf "$STMP"' 0 HUP INT QUIT TERM
rm -rf "$STMP" && mkdir "$STMP" &&

GIT_INDEX_FILE="$STMP"/index &&
export GIT_INDEX_FILE &&

GIT_DIR="`git rev-parse --git-dir`"
if [ -d "$GIT_DIR" -a -f "$GIT_DIR"/index ]; then
   cp -p "$GIT_DIR"/index $GIT_INDEX_FILE
else
   echo "$0: `pwd` is not a git repository/worktree" >&2
   exit 1
fi &&

git status "$@" &&
exec rm -rf "$STMP"
